relaxngcc.automaton

## Class Alphabet.Markup

- java.lang.Object
- - relaxngcc.automaton.Alphabet
  - - relaxngcc.automaton.Alphabet.Markup

Direct Known Subclasses:
  Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.LeaveAttribute, Alphabet.LeaveElement

Enclosing class:
  Alphabet

    public abstract static class Alphabet.Markup
    extends Alphabet

Base class for (enter|leave)(Attribute|Element).

### Nested Class Summary

### Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

`Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

### Field Summary

### Fields inherited from class relaxngcc.automaton.Alphabet

`_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

### Method Summary

Methods
`Alphabet.Markup` `asMarkup()`
`boolean` `equals(java.lang.Object o)`
`NameClass` `getNameClass()`
`int` `hashCode()`

### Methods inherited from class relaxngcc.automaton.Alphabet

`asDataText, asEnterAttribute, asEnterElement, asForAction, asFork, asLeaveAttribute, asLeaveElement, asRef, asText, asValueText, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNameClass

    public NameClass getNameClass()

#### asMarkup

    public Alphabet.Markup asMarkup()

Overrides:
  `asMarkup` in class `Alphabet`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Alphabet`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `Alphabet`